using System;
using System.Xml;
using System.Text;

class XmlWriterDemo
{
	public static void Main()
	{
		XmlTextWriter writer = new XmlTextWriter("lib.xml", 
			Encoding.GetEncoding("windows-1251"));
		writer.Formatting = Formatting.Indented;
		writer.IndentChar = '\t';
		writer.Indentation = 1;
		try
		{
			writer.WriteStartDocument();
			writer.WriteStartElement("library");
			writer.WriteAttributeString("name", "My Library");
			WriteBook(writer, "Code Complete",
				"Steve McConnell", "155-615-484-4");
			WriteBook(writer, "   Java",
				" ", "954-775-305-3");
			WriteBook(writer, "Writing Solid Code",
				"Steve Maguire", "155-615-551-4");
			writer.WriteEndDocument();
		}
		finally
		{
			writer.Close();
		}
	}

	private static void WriteBook(XmlWriter aWriter,
		string aTitle, string aAuthor, string aIsbn)
	{
		aWriter.WriteStartElement("book");
		aWriter.WriteElementString("title", aTitle);
		aWriter.WriteElementString("author", aAuthor);
		aWriter.WriteElementString("isbn", aIsbn);
		aWriter.WriteEndElement();
	}

}
